from time import sleep

from celery import shared_task
from django.core.exceptions import ObjectDoesNotExist

from konova.models import Geometry


@shared_task
def celery_update_parcels(geometry_id: str, recheck: bool = True):
    try:
        geom = Geometry.objects.get(id=geometry_id)
        geom.parcels.clear()
        geom.update_parcels()
    except ObjectDoesNotExist:
        if recheck:
            sleep(5)
            celery_update_parcels(geometry_id, False)

